Subject: RE: Chelan PUD Master
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 31 Jul 2001 18:48:38 -0700 (PDT)

It is an old agreement from 1994 so I don't think we are losing anything.  The payment terms were 20th day of the month and the WSPP is later of 10 days after receipt or 20th day of the invoice month, so I'm not sure they are getting better payment terms.  Thanks for the info.

 -----Original Message-----
From: 	Wolfe, Greg  
Sent:	Tuesday, July 31, 2001 5:38 PM
To:	Denton, Rhonda L.
Cc:	Ngo, Tracy; Swerzbin, Mike; Crandall, Sean; Scholtes, Diana; Krebs, Holli
Subject:	Chelan PUD Master 

Rhonda:

I am forwarding via inter-office mail a letter from Chelan PUD cancelling our old master power purchase and sale agreement. Chelan has had trouble with our accelerated billings vs. later reciepts under the WSPP with other counterparties. All new business will be done under the WSPP, which should not be much of an issue since they rarely do anything more than a few months in advance.

Please call with any questions.

Greg